# frozen_string_literal: true

require './lib/storage/algolia/base'

module Storage
  module Algolia
    module Index
      class Clear < ::Storage::Algolia::Base
        attr_reader :model_name

        def initialize(model_name:)
          @model_name = model_name
        end

        def process
          index.clear
        end
      end
    end
  end
end